package com.chinaitop.depot.intelligent.statisticalReport.service.impl;

import com.chinaitop.depot.intelligent.statisticalReport.mapper.StatisticalReportMapper;
import com.chinaitop.depot.intelligent.statisticalReport.service.StatisticalReportService;

import org.springframework.stereotype.Service;

import javax.annotation.Resource;

import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description: 能耗检测
 * @create 2018-12-11 11:00
 */
@Service
public class StatisticalReportServiceImpl implements StatisticalReportService {

    @Resource
    private StatisticalReportMapper statisticalReportMapper;

	@Override
	public List<Map<String, Object>> getSummaryReportInfo(Map<String, Object> map) {
		return statisticalReportMapper.getSummaryReportInfo(map);
	}

	@Override
	public List<Map<String, Object>> getDetailsReportInfo(Map<String, Object> map) {
		return statisticalReportMapper.getDetailsReportInfo(map);
	}

	@Override
	public List<Map<String, Object>> getSubmitReportInfo(Map<String, Object> map) {
		return statisticalReportMapper.getSubmitReportInfo(map);
	}

}
